Loading...
Searching...
No Matches
apr_proc_mutex.h File Reference

APR Process Locking Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_perms_set.h"`
`#include "apr_time.h"`
Include dependency graph for apr_proc_mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct apr_proc_mutex_t | apr_proc_mutex_t

## Enumerations

enum | apr_lockmech_e { APR_LOCK_FCNTL , APR_LOCK_FLOCK , APR_LOCK_SYSVSEM , APR_LOCK_PROC_PTHREAD , APR_LOCK_POSIXSEM , APR_LOCK_DEFAULT , APR_LOCK_DEFAULT_TIMED }

## Functions

apr_status_t | apr_proc_mutex_create (apr_proc_mutex_t **mutex, const char *fname, apr_lockmech_e mech, apr_pool_t *pool)
apr_status_t | apr_proc_mutex_child_init (apr_proc_mutex_t **mutex, const char *fname, apr_pool_t *pool)
apr_status_t | apr_proc_mutex_lock (apr_proc_mutex_t *mutex)
apr_status_t | apr_proc_mutex_trylock (apr_proc_mutex_t *mutex)
apr_status_t | apr_proc_mutex_timedlock (apr_proc_mutex_t *mutex, apr_interval_time_t timeout)
apr_status_t | apr_proc_mutex_unlock (apr_proc_mutex_t *mutex)
apr_status_t | apr_proc_mutex_destroy (apr_proc_mutex_t *mutex)
apr_status_t | apr_proc_mutex_cleanup (void *mutex)
const char * | apr_proc_mutex_lockfile (apr_proc_mutex_t *mutex)
apr_lockmech_e | apr_proc_mutex_mech (apr_proc_mutex_t *mutex)
const char * | apr_proc_mutex_name (apr_proc_mutex_t *mutex)
const char * | apr_proc_mutex_defname (void)
| APR_PERMS_SET_IMPLEMENT (proc_mutex)
apr_pool_t * | apr_proc_mutex_pool_get (const apr_proc_mutex_t *theproc_mutex)

## Detailed Description

APR Process Locking Routines.